class CreateSettingsChangesTable < ActiveRecord::Migration[4.2]
  def up
    create_table :settings_changes do |t|
      t.belongs_to :resource, :type => :bigint, :polymorphic => true
      t.string     :key
      t.text       :value
      t.timestamps :null => false
    end
    add_index :settings_changes, :key
    add_index :settings_changes, [:resource_id, :resource_type]
  end

  def down
    drop_table :settings_changes
  end
end
