import Immutable from 'seamless-immutable';

// returns sample datastores for a single cluster
export const sourceClusterNetworks = [
  {
    href: 'http://localhost:3000/api/clusters/1',
    id: '1',
    name: 'VMWare Cluster 1',
    ems_id: '1',
    created_on: '2017-10-06T16:41:09Z',
    updated_on: '2018-01-20T23:12:00Z',
    uid_ems: 'domain-c7',
    ha_enabled: false,
    ha_admit_control: true,
    ha_max_failures: 1,
    drs_enabled: false,
    drs_automation_level: 'fullyAutomated',
    drs_migration_threshold: 3,
    last_perf_capture_on: null,
    ems_ref_obj: 'domain-c7',
    effective_cpu: 109356,
    effective_memory: 790163881984,
    ems_ref: 'domain-c7',
    type: null,
    lans: [
      {
        href: 'http://localhost:3000/api/lans/10000000000007',
        id: '1-1',
        clusterId: '1',
        switch_id: '1',
        name: 'VMWareCluster1-vm_network1',
        tag: '23',
        created_on: '2017-06-01T04:24:18Z',
        updated_on: '2017-06-01T04:24:18Z',
        uid_ems: 'VMWareCluster1-vm_network1',
        allow_promiscuous: null,
        forged_transmits: null,
        mac_changes: null,
        computed_allow_promiscuous: null,
        computed_forged_transmits: null,
        computed_mac_changes: null,
        parent_id: null
      },
      {
        href: 'http://localhost:3000/api/lans/10000000000008',
        id: '1-2',
        clusterId: '1',
        switch_id: '2',
        name: 'VMWareCluster1-vm_network1',
        tag: '24',
        created_on: '2017-06-01T04:24:18Z',
        updated_on: '2017-06-01T04:24:18Z',
        uid_ems: 'VMWareCluster1-vm_network1',
        allow_promiscuous: null,
        forged_transmits: null,
        mac_changes: null,
        computed_allow_promiscuous: null,
        computed_forged_transmits: null,
        computed_mac_changes: null,
        parent_id: null
      },
      {
        href: 'http://localhost:3000/api/lans/10000000000009',
        id: '1-3',
        clusterId: '1',
        switch_id: '1',
        name: 'VMWareCluster1-vm_network2',
        tag: '24',
        created_on: '2017-06-01T04:24:18Z',
        updated_on: '2017-06-01T04:24:18Z',
        uid_ems: 'VMWareCluster1-vm_network2',
        allow_promiscuous: null,
        forged_transmits: null,
        mac_changes: null,
        computed_allow_promiscuous: null,
        computed_forged_transmits: null,
        computed_mac_changes: null,
        parent_id: null
      },
      {
        href: 'http://localhost:3000/api/lans/10000000000010',
        id: '1-4',
        clusterId: '1',
        switch_id: '1',
        name: 'VMWareCluster1-vm_network3',
        tag: '24',
        created_on: '2017-06-01T04:24:18Z',
        updated_on: '2017-06-01T04:24:18Z',
        uid_ems: 'VMWareCluster1-vm_network3',
        allow_promiscuous: null,
        forged_transmits: null,
        mac_changes: null,
        computed_allow_promiscuous: null,
        computed_forged_transmits: null,
        computed_mac_changes: null,
        parent_id: null
      }
    ]
  },
  {
    href: 'http://localhost:3000/api/clusters/1',
    id: '2',
    name: 'VMWare Cluster 2',
    ems_id: '1',
    created_on: '2017-10-06T16:41:09Z',
    updated_on: '2018-01-20T23:12:00Z',
    uid_ems: 'domain-c7',
    ha_enabled: false,
    ha_admit_control: true,
    ha_max_failures: 1,
    drs_enabled: false,
    drs_automation_level: 'fullyAutomated',
    drs_migration_threshold: 3,
    last_perf_capture_on: null,
    ems_ref_obj: 'domain-c7',
    effective_cpu: 109356,
    effective_memory: 790163881984,
    ems_ref: 'domain-c7',
    type: null,
    lans: [
      {
        href: 'http://localhost:3000/api/lans/10000000000011',
        id: '2-1',
        clusterId: '2',
        switch_id: '1',
        name: 'VMWareCluster2-vm_network1',
        tag: '23',
        created_on: '2017-06-01T04:24:18Z',
        updated_on: '2017-06-01T04:24:18Z',
        uid_ems: 'VMWareCluster2-vm_network1',
        allow_promiscuous: null,
        forged_transmits: null,
        mac_changes: null,
        computed_allow_promiscuous: null,
        computed_forged_transmits: null,
        computed_mac_changes: null,
        parent_id: null
      },
      {
        href: 'http://localhost:3000/api/lans/10000000000012',
        id: '2-2',
        clusterId: '2',
        switch_id: '1',
        name: 'VMWareCluster2-vm_network2',
        tag: '24',
        created_on: '2017-06-01T04:24:18Z',
        updated_on: '2017-06-01T04:24:18Z',
        uid_ems: 'VMWareCluster2-vm_network2',
        allow_promiscuous: null,
        forged_transmits: null,
        mac_changes: null,
        computed_allow_promiscuous: null,
        computed_forged_transmits: null,
        computed_mac_changes: null,
        parent_id: null
      },
      {
        href: 'http://localhost:3000/api/lans/10000000000013',
        id: '2-3',
        clusterId: '2',
        switch_id: '1',
        name: 'VMWareCluster2-vm_network3',
        tag: '24',
        created_on: '2017-06-01T04:24:18Z',
        updated_on: '2017-06-01T04:24:18Z',
        uid_ems: 'VMWareCluster2-vm_network3',
        allow_promiscuous: null,
        forged_transmits: null,
        mac_changes: null,
        computed_allow_promiscuous: null,
        computed_forged_transmits: null,
        computed_mac_changes: null,
        parent_id: null
      },
      {
        href: 'http://localhost:3000/api/lans/10000000000014',
        id: '2-4',
        clusterId: '2',
        switch_id: '2',
        name: 'VMWareCluster2-vm_network3',
        tag: '24',
        created_on: '2017-06-01T04:24:18Z',
        updated_on: '2017-06-01T04:24:18Z',
        uid_ems: 'VMWareCluster2-vm_network3',
        allow_promiscuous: null,
        forged_transmits: null,
        mac_changes: null,
        computed_allow_promiscuous: null,
        computed_forged_transmits: null,
        computed_mac_changes: null,
        parent_id: null
      }
    ]
  },
  {
    href: 'http://localhost:3000/api/clusters/1',
    id: '3',
    name: 'VMWare Cluster 3',
    ems_id: '1',
    created_on: '2017-10-06T16:41:09Z',
    updated_on: '2018-01-20T23:12:00Z',
    uid_ems: 'domain-c7',
    ha_enabled: false,
    ha_admit_control: true,
    ha_max_failures: 1,
    drs_enabled: false,
    drs_automation_level: 'fullyAutomated',
    drs_migration_threshold: 3,
    last_perf_capture_on: null,
    ems_ref_obj: 'domain-c7',
    effective_cpu: 109356,
    effective_memory: 790163881984,
    ems_ref: 'domain-c7',
    type: null,
    lans: [
      {
        href: 'http://localhost:3000/api/lans/10000000000015',
        id: '3-1',
        clusterId: '3',
        switch_id: '1',
        name: 'VMWareCluster3-vm_network1',
        tag: '23',
        created_on: '2017-06-01T04:24:18Z',
        updated_on: '2017-06-01T04:24:18Z',
        uid_ems: 'VMWareCluster3-vm_network1',
        allow_promiscuous: null,
        forged_transmits: null,
        mac_changes: null,
        computed_allow_promiscuous: null,
        computed_forged_transmits: null,
        computed_mac_changes: null,
        parent_id: null
      },
      {
        href: 'http://localhost:3000/api/lans/10000000000016',
        id: '3-2',
        clusterId: '3',
        switch_id: '2',
        name: 'VMWareCluster3-vm_network1',
        tag: '24',
        created_on: '2017-06-01T04:24:18Z',
        updated_on: '2017-06-01T04:24:18Z',
        uid_ems: 'VMWareCluster3-vm_network1',
        allow_promiscuous: null,
        forged_transmits: null,
        mac_changes: null,
        computed_allow_promiscuous: null,
        computed_forged_transmits: null,
        computed_mac_changes: null,
        parent_id: null
      },
      {
        href: 'http://localhost:3000/api/lans/10000000000017',
        id: '3-3',
        clusterId: '3',
        switch_id: '3',
        name: 'VMWareCluster3-vm_network1',
        tag: '24',
        created_on: '2017-06-01T04:24:18Z',
        updated_on: '2017-06-01T04:24:18Z',
        uid_ems: 'VMWareCluster3-vm_network1',
        allow_promiscuous: null,
        forged_transmits: null,
        mac_changes: null,
        computed_allow_promiscuous: null,
        computed_forged_transmits: null,
        computed_mac_changes: null,
        parent_id: null
      },
      {
        href: 'http://localhost:3000/api/lans/10000000000018',
        id: '3-4',
        clusterId: '3',
        switch_id: '1',
        name: 'VMWareCluster3-vm_network2',
        tag: '24',
        created_on: '2017-06-01T04:24:18Z',
        updated_on: '2017-06-01T04:24:18Z',
        uid_ems: 'VMWareCluster3-vm_network2',
        allow_promiscuous: null,
        forged_transmits: null,
        mac_changes: null,
        computed_allow_promiscuous: null,
        computed_forged_transmits: null,
        computed_mac_changes: null,
        parent_id: null
      }
    ]
  }
];

export const targetClusterNetworks = [
  {
    href: 'http://localhost:3000/api/clusters/1',
    id: '1',
    name: 'RHV Cluster 1',
    ems_id: '1',
    created_on: '2017-10-06T16:41:09Z',
    updated_on: '2018-01-20T23:12:00Z',
    uid_ems: 'domain-c7',
    ha_enabled: false,
    ha_admit_control: true,
    ha_max_failures: 1,
    drs_enabled: false,
    drs_automation_level: 'fullyAutomated',
    drs_migration_threshold: 3,
    last_perf_capture_on: null,
    ems_ref_obj: 'domain-c7',
    effective_cpu: 109356,
    effective_memory: 790163881984,
    ems_ref: 'domain-c7',
    type: null,
    lans: [
      {
        href: 'http://localhost:3000/api/lans/10000000000019',
        id: '1-1',
        clusterId: '1',
        switch_id: '10000000000000',
        name: 'RHV Cluster 1 - ovirtmgmt1',
        tag: null,
        created_on: '2017-06-01T04:24:18Z',
        updated_on: '2017-06-01T04:24:18Z',
        uid_ems: '00000000-0000-0000-0000-000000000000',
        allow_promiscuous: null,
        forged_transmits: null,
        mac_changes: null,
        computed_allow_promiscuous: null,
        computed_forged_transmits: null,
        computed_mac_changes: null,
        parent_id: null
      },
      {
        href: 'http://localhost:3000/api/lans/10000000000020',
        id: '1-2',
        clusterId: '1',
        switch_id: '10000000000001',
        name: 'RHV Cluster 1 - ovirtmgmt1',
        tag: null,
        created_on: '2017-06-01T04:24:19Z',
        updated_on: '2017-06-01T04:24:19Z',
        uid_ems: '00000000-0000-0000-0000-000000000000',
        allow_promiscuous: null,
        forged_transmits: null,
        mac_changes: null,
        computed_allow_promiscuous: null,
        computed_forged_transmits: null,
        computed_mac_changes: null,
        parent_id: null
      },

      {
        href: 'http://localhost:3000/api/lans/10000000000021',
        id: '1-3',
        clusterId: '1',
        switch_id: '10000000000013',
        name: 'RHV Cluster 1 - ovirtmgmt3',
        tag: null,
        created_on: '2017-06-01T04:24:19Z',
        updated_on: '2017-06-01T04:24:19Z',
        uid_ems: '00000000-0000-0000-0000-000000000002',
        allow_promiscuous: null,
        forged_transmits: null,
        mac_changes: null,
        computed_allow_promiscuous: null,
        computed_forged_transmits: null,
        computed_mac_changes: null,
        parent_id: null
      }
    ]
  },
  {
    href: 'http://localhost:3000/api/clusters/1',
    id: '2',
    name: 'RHV Cluster 2',
    ems_id: '1',
    created_on: '2017-10-06T16:41:09Z',
    updated_on: '2018-01-20T23:12:00Z',
    uid_ems: 'domain-c7',
    ha_enabled: false,
    ha_admit_control: true,
    ha_max_failures: 1,
    drs_enabled: false,
    drs_automation_level: 'fullyAutomated',
    drs_migration_threshold: 3,
    last_perf_capture_on: null,
    ems_ref_obj: 'domain-c7',
    effective_cpu: 109356,
    effective_memory: 790163881984,
    ems_ref: 'domain-c7',
    type: null,
    lans: [
      {
        href: 'http://localhost:3000/api/lans/10000000000022',
        id: '2-1',
        clusterId: '2',
        switch_id: '10000000000008',
        name: 'RHV Cluster 2 - ovirtmgmt1',
        tag: null,
        created_on: '2017-06-01T04:24:18Z',
        updated_on: '2017-06-01T04:24:18Z',
        uid_ems: '00000000-0000-0000-0000-000000000003',
        allow_promiscuous: null,
        forged_transmits: null,
        mac_changes: null,
        computed_allow_promiscuous: null,
        computed_forged_transmits: null,
        computed_mac_changes: null,
        parent_id: null
      },
      {
        href: 'http://localhost:3000/api/lans/10000000000023',
        id: '2-2',
        clusterId: '2',
        switch_id: '10000000000015',
        name: 'RHV Cluster 2 - ovirtmgmt2',
        tag: null,
        created_on: '2017-06-01T04:24:19Z',
        updated_on: '2017-06-01T04:24:19Z',
        uid_ems: '00000000-0000-0000-0000-000000000004',
        allow_promiscuous: null,
        forged_transmits: null,
        mac_changes: null,
        computed_allow_promiscuous: null,
        computed_forged_transmits: null,
        computed_mac_changes: null,
        parent_id: null
      },

      {
        href: 'http://localhost:3000/api/lans/10000000000024',
        id: '2-3',
        clusterId: '2',
        switch_id: '10000000000013',
        name: 'RHV Cluster 2 - ovirtmgmt3',
        tag: null,
        created_on: '2017-06-01T04:24:19Z',
        updated_on: '2017-06-01T04:24:19Z',
        uid_ems: '00000000-0000-0000-0000-000000000005',
        allow_promiscuous: null,
        forged_transmits: null,
        mac_changes: null,
        computed_allow_promiscuous: null,
        computed_forged_transmits: null,
        computed_mac_changes: null,
        parent_id: null
      }
    ]
  }
];

export const publicCloudNetworks = [
  {
    href: 'http://0.0.0.0:8080/api/cloud_networks/42000000000001',
    id: '42000000000001',
    name: 'external',
    ems_ref: '1b39625c-221e-4aad-ace3-a09685ac2634',
    ems_id: '42000000000005',
    cidr: null,
    status: 'active',
    enabled: true,
    external_facing: true,
    cloud_tenant_id: '42000000000002',
    orchestration_stack_id: null,
    shared: true,
    provider_physical_network: 'datacentre',
    provider_network_type: 'flat',
    provider_segmentation_id: null,
    vlan_transparent: null,
    extra_attributes: {
      port_security_enabled: true,
      qos_policy_id: null,
      maximum_transmission_unit: 1500
    },
    type: 'ManageIQ::Providers::Openstack::NetworkManager::CloudNetwork::Public'
  }
];

export const requestSourceNetworksData = id => ({
  method: 'GET',
  response: { data: sourceClusterNetworks[id - 1] }
});

export const requestTargetNetworksData = id => ({
  method: 'GET',
  response: { data: targetClusterNetworks[id - 1] }
});

export const initialState = Immutable({
  sourceClusterNetworks: {},
  targetClusterNetworks: {},
  fetchNetworksUrl: '/api/dummyClusters'
});
